using IgnoreOPS;

namespace ChillConnect
{
    public class WheelViewModel : BaseModel
    {
        public string NextOpenWheelTimeStr
        {
            get
            {
                var val = (int)(DataMgr.NextOpenWheelStampTime.Value - GameHelper.GetNowTime());
                if (val > 0) return CommonHelper.FormatTime(val, CountDownType.Hour);
                return "00:00:00";
            }
        }

        #region 生命周期
        protected override void OnInit()
        {
        }

        protected override void OnDispose()
        {
        }
        #endregion 

        #region 消息
        protected override void AddListener()
        {

        }
        protected override void RemoveListener()
        {

        }
        #endregion
    }
}